summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-7.0.1.ebuild28
-rw-r--r--dev-python/Faker/Faker-8.0.0.ebuild28
-rw-r--r--dev-python/Faker/Faker-8.1.0.ebuild28
-rw-r--r--dev-python/Faker/Faker-8.1.1.ebuild28
-rw-r--r--dev-python/Faker/Faker-8.1.3.ebuild27
-rw-r--r--dev-python/Faker/Faker-8.1.4.ebuild27
-rw-r--r--dev-python/Faker/Faker-8.2.1.ebuild (renamed from dev-python/Faker/Faker-8.1.2.ebuild)0
-rw-r--r--dev-python/Faker/Manifest8
-rw-r--r--dev-python/alembic/Manifest1
-rw-r--r--dev-python/alembic/alembic-1.6.3.ebuild31
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.17.78.ebuild56
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.20.78.ebuild59
-rw-r--r--dev-python/bracex/bracex-2.1.1.ebuild4
-rw-r--r--dev-python/flask/Manifest1
-rw-r--r--dev-python/flask/flask-2.0.1.ebuild47
-rw-r--r--dev-python/hvac/Manifest1
-rw-r--r--dev-python/hvac/hvac-0.10.14.ebuild49
-rw-r--r--dev-python/identify/Manifest1
-rw-r--r--dev-python/identify/identify-2.2.5.ebuild19
-rw-r--r--dev-python/identify/metadata.xml4
-rw-r--r--dev-python/importlib_resources/Manifest1
-rw-r--r--dev-python/importlib_resources/importlib_resources-5.1.4.ebuild30
-rw-r--r--dev-python/libsass/libsass-0.21.0.ebuild2
-rw-r--r--dev-python/more-itertools/Manifest1
-rw-r--r--dev-python/more-itertools/more-itertools-8.8.0.ebuild20
-rw-r--r--dev-python/moto/Manifest1
-rw-r--r--dev-python/moto/moto-2.0.8.ebuild70
-rw-r--r--dev-python/pgspecial/Manifest1
-rw-r--r--dev-python/pgspecial/pgspecial-1.13.0.ebuild43
-rw-r--r--dev-python/pikepdf/Manifest1
-rw-r--r--dev-python/pikepdf/pikepdf-2.12.1.ebuild51
-rw-r--r--dev-python/pyasn1-modules/pyasn1-modules-0.2.8-r1.ebuild4
-rw-r--r--dev-python/pyasn1/pyasn1-0.4.8-r1.ebuild1
-rw-r--r--dev-python/pydbus/Manifest1
-rw-r--r--dev-python/pydbus/metadata.xml10
-rw-r--r--dev-python/pydbus/pydbus-0.6.0.ebuild25
-rw-r--r--dev-python/python-gnupg/python-gnupg-0.4.7.ebuild5
-rw-r--r--dev-python/python-jose/python-jose-3.2.0-r1.ebuild15
-rw-r--r--dev-python/python-redmine/metadata.xml1
-rw-r--r--dev-python/python-redmine/python-redmine-2.3.0.ebuild2
-rw-r--r--dev-python/rst-linker/rst-linker-2.2.0.ebuild2
-rw-r--r--dev-python/spyder/spyder-5.0.3-r1.ebuild (renamed from dev-python/spyder/spyder-5.0.3.ebuild)5
-rw-r--r--dev-python/testpath/testpath-0.5.0.ebuild8
-rw-r--r--dev-python/wcmatch/Manifest1
-rw-r--r--dev-python/wcmatch/wcmatch-8.2.ebuild57
-rw-r--r--dev-python/websocket-client/Manifest1
-rw-r--r--dev-python/websocket-client/websocket-client-1.0.1.ebuild33
-rw-r--r--dev-python/zipp/zipp-3.4.1.ebuild2
50 files changed, 646 insertions, 197 deletions
diff --git a/dev-python/Faker/Faker-7.0.1.ebuild b/dev-python/Faker/Faker-7.0.1.ebuild
deleted file mode 100644
index f88b1f2d978a..000000000000
--- a/dev-python/Faker/Faker-7.0.1.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-inherit distutils-r1
-
-DESCRIPTION="A Python package that generates fake data for you"
-HOMEPAGE="https://github.com/joke2k/faker"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND=">=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
- >=dev-python/text-unidecode-1.3[${PYTHON_USEDEP}]
- !dev-ruby/faker"
-BDEPEND="
- test? (
- dev-python/freezegun[${PYTHON_USEDEP}]
- dev-python/random2[${PYTHON_USEDEP}]
- dev-python/validators[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_tests pytest
diff --git a/dev-python/Faker/Faker-8.0.0.ebuild b/dev-python/Faker/Faker-8.0.0.ebuild
deleted file mode 100644
index f88b1f2d978a..000000000000
--- a/dev-python/Faker/Faker-8.0.0.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-inherit distutils-r1
-
-DESCRIPTION="A Python package that generates fake data for you"
-HOMEPAGE="https://github.com/joke2k/faker"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND=">=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
- >=dev-python/text-unidecode-1.3[${PYTHON_USEDEP}]
- !dev-ruby/faker"
-BDEPEND="
- test? (
- dev-python/freezegun[${PYTHON_USEDEP}]
- dev-python/random2[${PYTHON_USEDEP}]
- dev-python/validators[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_tests pytest
diff --git a/dev-python/Faker/Faker-8.1.0.ebuild b/dev-python/Faker/Faker-8.1.0.ebuild
deleted file mode 100644
index f88b1f2d978a..000000000000
--- a/dev-python/Faker/Faker-8.1.0.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-inherit distutils-r1
-
-DESCRIPTION="A Python package that generates fake data for you"
-HOMEPAGE="https://github.com/joke2k/faker"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND=">=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
- >=dev-python/text-unidecode-1.3[${PYTHON_USEDEP}]
- !dev-ruby/faker"
-BDEPEND="
- test? (
- dev-python/freezegun[${PYTHON_USEDEP}]
- dev-python/random2[${PYTHON_USEDEP}]
- dev-python/validators[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_tests pytest
diff --git a/dev-python/Faker/Faker-8.1.1.ebuild b/dev-python/Faker/Faker-8.1.1.ebuild
deleted file mode 100644
index f88b1f2d978a..000000000000
--- a/dev-python/Faker/Faker-8.1.1.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-inherit distutils-r1
-
-DESCRIPTION="A Python package that generates fake data for you"
-HOMEPAGE="https://github.com/joke2k/faker"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND=">=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
- >=dev-python/text-unidecode-1.3[${PYTHON_USEDEP}]
- !dev-ruby/faker"
-BDEPEND="
- test? (
- dev-python/freezegun[${PYTHON_USEDEP}]
- dev-python/random2[${PYTHON_USEDEP}]
- dev-python/validators[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_tests pytest
diff --git a/dev-python/Faker/Faker-8.1.3.ebuild b/dev-python/Faker/Faker-8.1.3.ebuild
deleted file mode 100644
index ee753c20e0d8..000000000000
--- a/dev-python/Faker/Faker-8.1.3.ebuild
+++ /dev/null
@@ -1,27 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="A Python package that generates fake data for you"
-HOMEPAGE="https://github.com/joke2k/faker"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND=">=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
- >=dev-python/text-unidecode-1.3[${PYTHON_USEDEP}]
- !dev-ruby/faker"
-BDEPEND="
- test? (
- dev-python/freezegun[${PYTHON_USEDEP}]
- dev-python/random2[${PYTHON_USEDEP}]
- dev-python/validators[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_tests pytest
diff --git a/dev-python/Faker/Faker-8.1.4.ebuild b/dev-python/Faker/Faker-8.1.4.ebuild
deleted file mode 100644
index ee753c20e0d8..000000000000
--- a/dev-python/Faker/Faker-8.1.4.ebuild
+++ /dev/null
@@ -1,27 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="A Python package that generates fake data for you"
-HOMEPAGE="https://github.com/joke2k/faker"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND=">=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
- >=dev-python/text-unidecode-1.3[${PYTHON_USEDEP}]
- !dev-ruby/faker"
-BDEPEND="
- test? (
- dev-python/freezegun[${PYTHON_USEDEP}]
- dev-python/random2[${PYTHON_USEDEP}]
- dev-python/validators[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_tests pytest
diff --git a/dev-python/Faker/Faker-8.1.2.ebuild b/dev-python/Faker/Faker-8.2.1.ebuild
index ee753c20e0d8..ee753c20e0d8 100644
--- a/dev-python/Faker/Faker-8.1.2.ebuild
+++ b/dev-python/Faker/Faker-8.2.1.ebuild
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 498302376fc9..d87dab34cd8d 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,8 +1,2 @@
-DIST Faker-7.0.1.tar.gz 1143226 BLAKE2B 0c5db5c718cb9d32e3c87d44e7fa66c8cf89a99f69988935f94a64460852d6c1f1ccb6c069795a6ea807c8de067cc3808121da7e07d8fdb326e27cb345141c42 SHA512 9a1aefaacd727bbf2e94239620948900e8bd33d5c3fa9cc30814850433cc5bbd4392d1f1d9f2c51d10e77cd1645d2d6919254663b438a45a7e1694988c58ac92
-DIST Faker-8.0.0.tar.gz 1143250 BLAKE2B 594b21ab72016cda550e27d53b032b4e7fffa2554ae81da7291f0d1ad1c63c54a5f849a5c528af1d8357d60bfc92235020c459cd025e0f5cda4b6fd4eab50320 SHA512 612ac59d2c88584243f9b7ff69c92d0dfb69394d419eedc18829641d53ebceca2ab5598a60500428453043a53c53d7716a1ac265ecc5e3a423fcbaa6d69f375e
-DIST Faker-8.1.0.tar.gz 1143544 BLAKE2B aadb12b681f335ff850c20fd9f3202520f265abab9844f4acce51a7c9435e74e5fd8faff8d2ca1d5d0b0ee7c786c05e2968ef84ecead4ab74b65d500876120a1 SHA512 d264b9740e66248b2dbed1331c1d632b9f30e9f7ebce0ff9e03b7f353da14b493a006af1deb0efdccc7911d99e17f741ed3196d76fc17d2b18af42dd01f052cc
-DIST Faker-8.1.1.tar.gz 1143636 BLAKE2B 458bd0bc94dbf9dc60f5f1a74824390a3166dab7328274b087f299dfe637cc0ed728485ebc9418c2877bab7c05718ca1d9a592ed66a6bd4385585aabaeced8ea SHA512 705c890bea67176627eccc5a526cf20530485f1503813f09616d33a5407eefdea0416a6813b9efab719728b89d8be77cfef39d7297731ce3324852a9305717bb
-DIST Faker-8.1.2.tar.gz 1143566 BLAKE2B bfef745578e2f33aef4ae925f53867e0c6335d03e8d2950d035a17a4e2efde959f841f62097708173ef1acc22511fcb6e2f81666aa8ba6e27aa0e5f1f63714e1 SHA512 da989478b122a6e583fdc1de2481d9c81b5f8c5a9c7274fd49dd057e8f2e417f91f5dbc160b0fd5a4b9ec749d3605e54dc20fb603ff36ae75a9d4fad827e46f7
-DIST Faker-8.1.3.tar.gz 1137819 BLAKE2B 12ff3c4d19df2138c7089d70b311a0191345c09c66ec01fdc961af6d0af069509bee41908eab0ad7af7aefa08e6706f651ff537abc3378c1afa007120bade3db SHA512 bad2d477b4e5225d8e1d1436157cf951f259bbb6ac09d99ddcf38ab953862fdfe953742dbcca0bbb40376f386be41f3a788dd85d57b66f1e19c626e699d23620
-DIST Faker-8.1.4.tar.gz 1143731 BLAKE2B d87a0aed1393d3e837a8b434d126581be39f456f052a01b1e158355643c7ecb2de084da7f9589a5e7e5b07aacd0da8fa844295d1075c7a18e195a4436b04c689 SHA512 e04c4bd9c2692957922f6c5282ac158babd4bdfba2afd79fbd2e26349b401fb13754643e283ced4f9fc235c6255e73c73a8705b7b419f8dddc253b63a8f8f727
DIST Faker-8.2.0.tar.gz 1144105 BLAKE2B cac0e083fb91c4eff99b4a1af0c4acf665d2c7dd45acb21926341deb5ac27c6837ed59f9f157f1c4f26810d9844f432dc857887c6d1dcb44b67cc7713fb4ed41 SHA512 4d7d98c2f12f60ea2c690cf4647968181efad4f9940c63ae11dee66e3f4fa45f893711ec6c832b55be9aeac618984206af1ac56daf9af3f2cf5f84ebe4271c2e
+DIST Faker-8.2.1.tar.gz 1144260 BLAKE2B 3c523e394043d2294e9973c0a2764a7c7961ea89b45efecfefa7a094e2b4ffa81513e9ca6ac321e5b2b05bf29c62ae37a4797ad210172d5e988dbd80d8b0858e SHA512 58e6fc188dfb6ef5f5847d2d7966767eb71df66752858fbccbf984afda2d25f6a6b01d2c9446e7b1c9e57bf3744c0e1f89202e0079b01e139789f384e3cdbc17
diff --git a/dev-python/alembic/Manifest b/dev-python/alembic/Manifest
index bf05c71c0e48..d0a3dcee4fdd 100644
--- a/dev-python/alembic/Manifest
+++ b/dev-python/alembic/Manifest
@@ -1,3 +1,4 @@
DIST alembic-1.5.8.tar.gz 1154284 BLAKE2B 704a7aeb15fcfae8746238ef7ae4533ecbaaf83ab9248035c35cea343a4d02e02c00dfa3c8186826a437c839053fc6292c3f8343945ca32273ee608f6572f513 SHA512 e68f3709ed969764cff4c9f755781a10123631d2d07a970674fda2226c84cb92c140bc5ae81e44c8b279823718d4f0544236d260fd04fb7107f3d8293c85b4f0
DIST alembic-1.6.0.tar.gz 1166934 BLAKE2B 1d1473ca55bf2e5f8f6dcdf2fd7cbd5246e11e7a14e5964a5891c60e5ba814eabc2fe8550b87317c3b57268f649b46c6b611ef1b2c81b5a025ca4e8e537660c2 SHA512 bfef894f13762420128b01d2671639de6361848387d4661d92bab66d8c5820ebe9ede62d335b4cc5915f60378e20a02a2b2664a7bf815294fb4cfdee7414dd33
DIST alembic-1.6.2.tar.gz 1167842 BLAKE2B 0b61282987e974e81b1007d4a66620b1ac2393b175f91011d0d6c450af1038a9ea553f4a7c1906b2e463f7b95617a00629f337547788821b250373f0de18d0b7 SHA512 d5b23812d3e65e9642f39e2596ab86773476a77959938f518438d7659c2da5436432fdc020a5fbda33fe866a047d9558f7a4c5eabe032a6d3f2e6d04ff7928e7
+DIST alembic-1.6.3.tar.gz 1172826 BLAKE2B e405589352bc06b6a80e532e564b69b7095e57ff150a519654737c9d5ac43827d1ddedeffd12295419eb0fc7555c346cdf0e32fcc21fcc9c301015fc0c9540f5 SHA512 4a73e67962d44de719b9873e4b61153607cb2ebcdd15a19172fc4ea641e2909339ca448e83fa8ecb871a270ccd980f16fcf4a880e9742a177649c4dc44cb30cd
diff --git a/dev-python/alembic/alembic-1.6.3.ebuild b/dev-python/alembic/alembic-1.6.3.ebuild
new file mode 100644
index 000000000000..d53ec4cad934
--- /dev/null
+++ b/dev-python/alembic/alembic-1.6.3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="database migrations tool, written by the author of SQLAlchemy"
+HOMEPAGE="https://github.com/sqlalchemy/alembic"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc"
+
+RDEPEND="
+ >=dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
+ dev-python/mako[${PYTHON_USEDEP}]
+ >=dev-python/python-editor-0.3[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/. )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 4ff0deab1394..778a43356796 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -13,3 +13,4 @@ DIST boto3-1.17.74.tar.gz 371719 BLAKE2B f6d44206a14cdf395c8963be048e81391ecbf68
DIST boto3-1.17.75.tar.gz 372223 BLAKE2B 5502d43dd76206a57793593c85b5c84a126c8bd4b8e1ac6c72b65a70a1f5494a46db2a0f97cd7218f02fa4ffa53094202823a50b652650f21672be990242b25b SHA512 b7c6aeec402b0dcff2681f66714b5de77206873f4b554ab5a9436de473ce52c20c84107d18e0cb53badd7d6a68a5be53e0967a1d18f92935f6c27b3c2c154eaf
DIST boto3-1.17.76.tar.gz 373664 BLAKE2B 2c38008fbe459ba0382d48f1e1bcf896fb1f341cba27f1ee9b7a2e186f71ba38a36edd1b123fca8ea66abddf81491005fa17847a447f300647f13b66bd4c1525 SHA512 3e3bf35bac59d62a23aa26db5d328e6ed07aebe87449037f11f2561514fbb877bb268942504c2f204a27eb19be6e076f36f59b635ca77e83c4c40b9371e76e92
DIST boto3-1.17.77.tar.gz 374165 BLAKE2B 2c7c041787da521d89d18248be2f92c29f989949c6a9c19f12cd59098db0392f47d5c4e66a172adea0190a126bc2487669a1f4a14024378194bd1e9ae5bdf4c3 SHA512 a6140ed800ad84abe77d78ce1df874ef5c89a822af75b50459f220db4544dee5078e5c7f517fe5cad83d9f4c3fbb0d5c6095c136603c677f4c019109097411e1
+DIST boto3-1.17.78.tar.gz 374487 BLAKE2B 8a83cb32db8336351454251a3cf78efad6197885a66c10a4e3f9e13770d92d7cd9e9b51bfc7c4bfdb2f5183c5246872d7f3075d55b5129606ad9d977ecbf9891 SHA512 8ab9f13360f63342219d7b0278e2ca5613f8d051d006ef26da14307e83fcaaf1a546c566cb4b8ba012fa5e8e6b5e409722228da0989e56f50e40df4a733602de
diff --git a/dev-python/boto3/boto3-1.17.78.ebuild b/dev-python/boto3/boto3-1.17.78.ebuild
new file mode 100644
index 000000000000..511fc98f5fff
--- /dev/null
+++ b/dev-python/boto3/boto3-1.17.78.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # prevent an infinite loop
+ rm tests/functional/docs/test_smoke.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 19ba7c100d82..71eb99279f88 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -13,3 +13,4 @@ DIST botocore-1.20.74.tar.gz 7729804 BLAKE2B 0693da2be219ee140c5c00a540756d31651
DIST botocore-1.20.75.tar.gz 7750681 BLAKE2B 4cf5700ccdd43a7d963fc60c7e0db5204947e6d3c63747882fa01856ab4e97bba5f4174a8f4252e3389d6aa6436473f9124f445a53b2cc4233b8d7ed22cb5fef SHA512 736f9d8e4875fd273e73e25ba791117c146c0facdd68970f8d2127245805383119178faa4c91d9dc43ec045e59bf39dbece40d6946013ce9c8ac3c5d1ef9bd84
DIST botocore-1.20.76.tar.gz 7755457 BLAKE2B 26246a4118ce32098676b4933548792a7a5290866c53876053c6f509d1695b467bd7a63d994020ab4b8c85b7beefd9e7b06fa6509787d954c2e0e1d16783b7f3 SHA512 43a74493ce3a69d621c8adef18bb39aece146a83a75745ba79216ab839161095c05ed53c1a00edcfba291e7321d28db107c3baee81ae970d5768c2f6dec79c5b
DIST botocore-1.20.77.tar.gz 7758363 BLAKE2B a441fc84ce0095cbad1df59c26c533c38068574d1a5b3ac68091575d607d0ab5954852a1c82eee1bb394ed8e6789076d9a8ca2afdb02c6e492dbb2f22c8c3e6e SHA512 840b5cd6356ce3d716d8f04ed7a04e5169336444b4f3ad114e1d8122ce999f26ecb57f51c7afec33856ae0f6d68d9a5966a5ee14f1341a144586f0fa2ebfba64
+DIST botocore-1.20.78.tar.gz 7758829 BLAKE2B af13d6c1aa918e2c49c6dc931c9a78e1899c83e62657c063e20ba2a5544c48e4946018628e47d6a56db456a3a8d43fe3b577824bd76bbc339abaef375459932e SHA512 fc96ed8b6b4af05404654e470a4f83419b885fa32d9dc704727f4ffb3d5deeefa752d235b37fd81448b7f3b101bc0f8e7ea09ae8641f8961566f77f6a039cef9
diff --git a/dev-python/botocore/botocore-1.20.78.ebuild b/dev-python/botocore/botocore-1.20.78.ebuild
new file mode 100644
index 000000000000..ca62b7dad65f
--- /dev/null
+++ b/dev-python/botocore/botocore-1.20.78.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ # very unstable
+ sed -i -e 's:test_stress_test_token_bucket:_&:' \
+ tests/functional/retries/test_bucket.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # note: suites need to be run separately as one of the unit tests
+ # seems to be leaking mocks and breaking a few functional tests
+ nosetests -v tests/unit ||
+ die "unit tests failed under ${EPYTHON}"
+ nosetests -v tests/functional ||
+ die "functional tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/bracex/bracex-2.1.1.ebuild b/dev-python/bracex/bracex-2.1.1.ebuild
index 6d861d78d0ce..6836d5f199b0 100644
--- a/dev-python/bracex/bracex-2.1.1.ebuild
+++ b/dev-python/bracex/bracex-2.1.1.ebuild
@@ -18,8 +18,8 @@ inherit distutils-r1 docs
DESCRIPTION="Bash style brace expansion for Python"
HOMEPAGE="
- https://github.com/facelessuser/bracex
- https://pypi.org/project/bracex
+ https://github.com/facelessuser/bracex/
+ https://pypi.org/project/bracex/
"
SRC_URI="https://github.com/facelessuser/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
diff --git a/dev-python/flask/Manifest b/dev-python/flask/Manifest
index 5560d1236a93..8523b8e5ed98 100644
--- a/dev-python/flask/Manifest
+++ b/dev-python/flask/Manifest
@@ -1,3 +1,4 @@
DIST Flask-1.1.2.tar.gz 637516 BLAKE2B 90dffbb8faa48489d1c71ff2a064d41e97d2103c07532fd5b252dbe0b32e4babb815e31f0ceae201a66cead645b68149d13d4bb39a0df1b27b4002e613920493 SHA512 9feb6a9a8f34fadbea508d465f73c24b1d81b3f66243804dc3904d198c2fd78e2e1bef94df6a4940a7eec6b9b54abea06557a87de8b27b0a9497d18b3e071384
DIST Flask-1.1.4.tar.gz 635920 BLAKE2B c1f19e7449177ecf6e901d5932ad25cbe866ff53b9323f717541922b1ea5b10203ff07630fcf3eabaedd9b6a24ef031ad2aaa2e2f759925363bebfa7e5d967da SHA512 6f427a1264921b8560446afacee2757d16de0dc22d6ed249b7bc5d6f50f3af50c89b79ce900d75b41af4befc53910f2b532c2e280de42837e2133acb6b1bd80d
DIST Flask-2.0.0.tar.gz 624458 BLAKE2B 82f552cbe714ea4fd64b56f88ee747c292659181139eae5fe0e496457d1f33cb5d7b464ed5250b6087c859691d89cb72a885d8640855dd9dfe7ecc6083bb0c36 SHA512 3fc66aa1568f7dce67bb70b0113401b7535dda32e33ac784a42f08fa21e08b055214218fac06dc6fb4b8f975b2a91321a6c97203f6568efc6bfbbb8d4ef9ddc3
+DIST Flask-2.0.1.tar.gz 626851 BLAKE2B 05273edacd6d66237a552410df7ef7ff367e28c273cc89f654eac5ed2eb3d26f71437169905372b398cc6c5c5067dcbea54aa1cab782e03c6186ac9ae3949f4c SHA512 fefed4971f0542b25ba2867919aa54a83b6e3f47e7cee94586543843e7e00ba209ac15d8fe28a3c53981f587aebcf2f3915a49e1a9cd1b729099dccbed3783c2
diff --git a/dev-python/flask/flask-2.0.1.ebuild b/dev-python/flask/flask-2.0.1.ebuild
new file mode 100644
index 000000000000..c54131348f29
--- /dev/null
+++ b/dev-python/flask/flask-2.0.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="A microframework based on Werkzeug, Jinja2 and good intentions"
+HOMEPAGE="https://github.com/pallets/flask/"
+MY_PN="Flask"
+MY_P="${MY_PN}-${PV}"
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://github.com/mitsuhiko/flask.git"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+ S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="examples"
+
+RDEPEND="
+ >=dev-python/click-7.1.2[${PYTHON_USEDEP}]
+ dev-python/blinker[${PYTHON_USEDEP}]
+ >=dev-python/itsdangerous-2.0[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+ >=dev-python/werkzeug-2.0[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ >=dev-python/asgiref-3.2[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -p no:httpbin
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/hvac/Manifest b/dev-python/hvac/Manifest
index bc0ef903df40..de27c76df106 100644
--- a/dev-python/hvac/Manifest
+++ b/dev-python/hvac/Manifest
@@ -1,5 +1,6 @@
DIST hvac-0.10.11.tar.gz 297146 BLAKE2B 279cd53d6aff18d8b393214c3370bf8a5a0e8f597cefc739269086db66fe4f43a931062c18d76815d777d12ffdfd431ed2174d77afb58669572e6e0e8ed9e43a SHA512 6b68bd19d5621758637ec257992e03da6b1746e5ac1d1b8d63098b6c0c1dc0c0f92fb6bd653b5458e8c55060a48619eb4d09ec4d0529cc2b3f4b91745bd2095c
DIST hvac-0.10.12.tar.gz 301534 BLAKE2B 3d60bc428faa2e66f5c3b1e7d4aa0df7777e76f996c6d49bd9429e6a69f43580067a0de396ecc4234ed416a304f6e017f35b60b4655eafa6335666c6c00b88e2 SHA512 a52791bee2eedf488fabb488971f84f357e94812b14de36b45360690d3d018c9162dba9b8a54a719f1fe45b5f526fb729c08c8ece4f3c093f8a8f50a37731260
DIST hvac-0.10.13.tar.gz 301612 BLAKE2B 1b3524f72b54bf6fdfde6c02ecae8f16e32363bef206eb34f148f2d8b6a6fa69765e2ce35048dbd0b5f802160fd81cb8fd287da698a74c0c87b2ba4a25c5b498 SHA512 d4f4c3935fcf4a15d2f12f01dee1c267cf9c242642037b816e669c004269cd0b98d90e97774408e70c325b4449f2aa35f6158d0f6d4125226eafe353fe0c7471
+DIST hvac-0.10.14.tar.gz 301617 BLAKE2B b3d721b245b9f7b0e8aa5404599da8f3fde3fe10a5b3d70cf1831faeaecc6e1c42f0228c2511eb8d24ef56fbb2a971487b0707a1640e3a48bf01d3e4811992e8 SHA512 3b3b5c64df5c57679a35e09cd61d29090c950dfaa11f64b4c3f8442a3ccf6512cc2d792f60e035815e4c4857813ba49612e0f52c5da3670bd692116a6bd28469
DIST hvac-0.10.8.tar.gz 290963 BLAKE2B 539e604d2c0476c3f8bd9bf9e803f2d7c6ea8671cd86ef650a7a3e615fa3461135e956726a869fa8b9c1883b70c11eaa51f28e6d07f284dbb43b51a696dd9958 SHA512 010a851c39bdc4d420343fa42aef5cd7faa073c11bf1507fc563791b8c93e85367b2081d573123acccd467881bccb9f9f33487551cac763d91ee7e5341ea5568
DIST hvac-0.10.9.tar.gz 291045 BLAKE2B 63c48b21e402a1af3f73e5b295061a2f82040cedd412fab69e8759e290a46eb67d1aa0ddaeb40c1638eefbc492441e238cbe4be114093015af6eabd99a0c0a75 SHA512 4af23583110ca4c2c9714f5234daf21ee199c2ac97cde01a220db6f5d89957b95c1e8b84904104e5a96ec39b54cea567973427a73ed7cae5806e794d37403a8d
diff --git a/dev-python/hvac/hvac-0.10.14.ebuild b/dev-python/hvac/hvac-0.10.14.ebuild
new file mode 100644
index 000000000000..f2280390d3fb
--- /dev/null
+++ b/dev-python/hvac/hvac-0.10.14.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="hashicorp vault client in python"
+HOMEPAGE="https://github.com/hvac/hvac"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/hvac/hvac.git"
+else
+ SRC_URI="https://github.com/hvac/hvac/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+BDEPEND="
+ test? (
+ dev-python/flask-sqlalchemy[${PYTHON_USEDEP}]
+ dev-python/jwcrypto[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ dev-python/python-jwt[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ dev-python/semantic_version[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ )"
+RDEPEND="
+ >=dev-python/pyhcl-0.4.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.24.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.15.0[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local ignore=(
+ # ldap_test is not packaged.
+ tests/integration_tests/api/auth_methods/test_ldap.py
+ # https://github.com/lepture/authlib is not packaged.
+ tests/integration_tests/api/auth_methods/test_oidc.py
+ )
+
+ epytest ${ignore[@]/#/--ignore }
+}
diff --git a/dev-python/identify/Manifest b/dev-python/identify/Manifest
index fde7f58609a0..ac4f8c99cdc5 100644
--- a/dev-python/identify/Manifest
+++ b/dev-python/identify/Manifest
@@ -1 +1,2 @@
DIST identify-2.2.4.tar.gz 100967 BLAKE2B 9473a157ce2aed13ed45d6e8d83b4510c40ae977406b9d7b211caa70c27d1850cf49da8848495841281b1f192b576d269a5372215effd7d89c9211e51d51151d SHA512 25e255fd62d0e75aafa7037085362b7bf2ba8ae142bfb11e0e20452d503d8ec3f90ec84c8ef8966fb021fe1054c226862b3ce99d2288ec9aaa758a8971d1c87a
+DIST identify-2.2.5.tar.gz 100974 BLAKE2B 8652a7b47563c55104c44dfb8bb079ce809812cae676c7e5545f402a688fb7d0683f20c3555f206e167bd30c9bca69c8274d0a898b3d4f6d74b767f66882814b SHA512 8aafd160e6e38cd225525066e34b4e35af7a0228cfcc4c420fe55b886c57432b9a34b0f410fd8b57c445b6bc83757c0fe2e8320d3e708f58a8f94933f3a7cb47
diff --git a/dev-python/identify/identify-2.2.5.ebuild b/dev-python/identify/identify-2.2.5.ebuild
new file mode 100644
index 000000000000..5e6f8e81442f
--- /dev/null
+++ b/dev-python/identify/identify-2.2.5.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="File identification library for Python"
+HOMEPAGE="https://github.com/pre-commit/identify"
+SRC_URI="https://github.com/pre-commit/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-python/editdistance-s[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
diff --git a/dev-python/identify/metadata.xml b/dev-python/identify/metadata.xml
index e7e922414f03..01a302b7fe6c 100644
--- a/dev-python/identify/metadata.xml
+++ b/dev-python/identify/metadata.xml
@@ -5,6 +5,10 @@
<email>marecki@gentoo.org</email>
<name>Marek Szuba</name>
</maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
<upstream>
<remote-id type="github">pre-commit/identify</remote-id>
<remote-id type="pypi">identify</remote-id>
diff --git a/dev-python/importlib_resources/Manifest b/dev-python/importlib_resources/Manifest
index ed4f9fe7a65a..8af0ec073538 100644
--- a/dev-python/importlib_resources/Manifest
+++ b/dev-python/importlib_resources/Manifest
@@ -1,2 +1,3 @@
DIST importlib_resources-5.1.2.tar.gz 32177 BLAKE2B 5374cad672f7324cc31ff4709f0fda27dc48435c2469282fe84bb9a453917ce15b1c3529f502a8b42993638768e7ee781a4601665c60ad6da2811748b4866006 SHA512 894bcf55aa4789a8d47d832cc9a20ac0763270e78f03548b7e714d18f64f4b4ebdabdadb4dd1b2bc9513df13a3f328ef5d62e6015878738ea59e6f139e4c195f
DIST importlib_resources-5.1.3.tar.gz 28613 BLAKE2B 7edf1d75ae977c674223059504e5d7912cb83503d7a70b0b9251c5af130acf8c1466b0314c583167c1210a3fc3005d298be5fd1e6b1d7e6d128ad46142decfab SHA512 cfd778e6a07799577625a0102b79d3fa69c710215168b6aaeffea68db41ff84ff5c15681fcd4d68be043a618554189720520fc0d1266df3e522035924903d39a
+DIST importlib_resources-5.1.4.tar.gz 28783 BLAKE2B e88cbe34dfd9b251fc78f2aba173f3eb657462777cb66454fbc1735575c6cac6a868f5e40206fb8925aa8c7f708d72624693cd772f2335231bc5da4f417d622e SHA512 ede757b0ee4a246a3446a165f4c8e56edf326f90464f01d853b6c04042371ff1edc4e41f388c6ea6973302a183cf1c04ee21335342886747c991ba0b38c7aec3
diff --git a/dev-python/importlib_resources/importlib_resources-5.1.4.ebuild b/dev-python/importlib_resources/importlib_resources-5.1.4.ebuild
new file mode 100644
index 000000000000..898f382b55d3
--- /dev/null
+++ b/dev-python/importlib_resources/importlib_resources-5.1.4.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# This is a backport of Python 3.9's importlib.resources
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Read resources from Python packages"
+HOMEPAGE="https://github.com/python/importlib_resources"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/zipp-3.1.0[${PYTHON_USEDEP}]
+ ' pypy3 python3_7)
+"
+BDEPEND="
+ dev-python/toml[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-3.4.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+distutils_enable_sphinx docs dev-python/rst-linker dev-python/jaraco-packaging
diff --git a/dev-python/libsass/libsass-0.21.0.ebuild b/dev-python/libsass/libsass-0.21.0.ebuild
index 8bf1f8258b40..05351764d963 100644
--- a/dev-python/libsass/libsass-0.21.0.ebuild
+++ b/dev-python/libsass/libsass-0.21.0.ebuild
@@ -16,7 +16,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
RDEPEND=">=dev-libs/libsass-3.6.5"
DEPEND=${RDEPEND}
diff --git a/dev-python/more-itertools/Manifest b/dev-python/more-itertools/Manifest
index cfd517bdaa29..d677557847e4 100644
--- a/dev-python/more-itertools/Manifest
+++ b/dev-python/more-itertools/Manifest
@@ -1 +1,2 @@
DIST more-itertools-8.7.0.tar.gz 92857 BLAKE2B 65966fa2939fb6908c25a658e96162238056403e2b67d41d027c11cf04c01a09f954ea1a75363e0f615ea3e5fa5b9cfa4289ef18942c68122f10588f37f797ab SHA512 0e80dd5e08ffbd1878f414e1e8d036046ecfaf74c638a79d277d72e8357892b73735cc18d8a022c53916acc3733ebde4cb8030c5cecc354d6469933d91c66c13
+DIST more-itertools-8.8.0.tar.gz 93660 BLAKE2B 7d26b847c856064b6edfbda661b9e9288ba2069604e687d90713040ec469abab9853f3bff1b4e25b9ded764822a9ba58eccd5be5e9a13094ab4fc0871626289b SHA512 c6efec614a10a2fc72a4bbb7c62ac586e5dd28e04582768e0b3749cbd8307df0b4a609637d427d9c4940874e2aed1432094c09ac249e16a20dc6a09723172f06
diff --git a/dev-python/more-itertools/more-itertools-8.8.0.ebuild b/dev-python/more-itertools/more-itertools-8.8.0.ebuild
new file mode 100644
index 000000000000..e36c4b470e21
--- /dev/null
+++ b/dev-python/more-itertools/more-itertools-8.8.0.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="More routines for operating on iterables, beyond itertools"
+HOMEPAGE="https://pypi.org/project/more-itertools/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
+distutils_enable_tests unittest
diff --git a/dev-python/moto/Manifest b/dev-python/moto/Manifest
index f324c0db9f8f..2755f57c2182 100644
--- a/dev-python/moto/Manifest
+++ b/dev-python/moto/Manifest
@@ -6,3 +6,4 @@ DIST moto-2.0.2.tar.gz 1534459 BLAKE2B b4609f332e8f8eb8d61250919eca805f82a6dfc46
DIST moto-2.0.5.tar.gz 1551415 BLAKE2B 452cb94443188e1715145bee574f04924d894a3d647673443a8a335bb907f8601098540b032d6c9a8ced3e1fc490c49ad70c877547d905cece05bbb742d05976 SHA512 70e64ab98873d480e776a2139a4d351665c6c2f98faf90e2871c6b9998571d1bd239757bc90bbc6ab6e1ed510598bfce77157ad522953efe40c884068885c57d
DIST moto-2.0.6.tar.gz 1557871 BLAKE2B dd4c23758bc9c98fbd2b2a70af744daa245fc8b4b1154348486ae85d195e5e3fa2c513f61386504d05c0d646e81fbf8ec5bf41be317b9fd7581668cd23cc1db3 SHA512 9f287ff07f948dd3d2d6af1c6120d29e9625e420bb94f83c230d813e26689161f9a2e89e2b32947e82084cdcd865fef714ad14309ff41371bd37d251481f8dc9
DIST moto-2.0.7.tar.gz 1565849 BLAKE2B 1c6491828a43156fd347bcce80f3440cd8d4964e28bab19593e29fd88aed558652b08c81c577312f9c612adc666ddd35fdd46b4d2d8fb82eef380210e9c62d8d SHA512 5df26f478909c57d4ba76bb7c6e002c37d7f604084c157744be32da93dbb705605a7a85eb0774cbf2c0083f7096f01075ddb1a119cb7ac2f3931cf58896f1629
+DIST moto-2.0.8.tar.gz 1569426 BLAKE2B 746313241d49558ab49d7e2116406f128a315a9fca40956808e7f901e91518551a1f75c95c9ce5c92534221d1db3e01a3baa2cef6cadab9a9d024cc30d8ce0e2 SHA512 5cf1a47c97100b76ad9b69787ce4df00f24f93ba1a36a242cea535ede649af457ff043b44f1cce4a4e44b6735844652f69271f18edac0748b636f4e519545018
diff --git a/dev-python/moto/moto-2.0.8.ebuild b/dev-python/moto/moto-2.0.8.ebuild
new file mode 100644
index 000000000000..bb3423485e8c
--- /dev/null
+++ b/dev-python/moto/moto-2.0.8.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Mock library for boto"
+HOMEPAGE="https://github.com/spulec/moto"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-xray-sdk-python-0.93[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/backports-tempfile[${PYTHON_USEDEP}]' python3_{6,7})
+ dev-python/boto[${PYTHON_USEDEP}]
+ dev-python/cfn-python-lint[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-3.3.1[${PYTHON_USEDEP}]
+ dev-python/cookies[${PYTHON_USEDEP}]
+ dev-python/dicttoxml[${PYTHON_USEDEP}]
+ >=dev-python/docker-py-2.5.1[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.5[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.10.1[${PYTHON_USEDEP}]
+ >=dev-python/jsondiff-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/boto3-1.9.201[${PYTHON_USEDEP}]
+ >=dev-python/botocore-1.12.201[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-cors[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ dev-python/pretty-yaml[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/python-jose[${PYTHON_USEDEP}]
+ dev-python/python-sshpubkeys[${PYTHON_USEDEP}]
+ >=dev-python/responses-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ >=dev-python/sure-1.4.11[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # unping indirect dep on ecdsa that's supposed to workaround pip
+ # bugs
+ sed -i -e '/ecdsa/s:<0.15::' setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # pytest-django causes freezegun try to mangle stuff inside django
+ # which fails when django is not really used
+ epytest -p no:django -m 'not network'
+}
diff --git a/dev-python/pgspecial/Manifest b/dev-python/pgspecial/Manifest
index 1ea7fa72cc16..83f1275385ec 100644
--- a/dev-python/pgspecial/Manifest
+++ b/dev-python/pgspecial/Manifest
@@ -1 +1,2 @@
DIST pgspecial-1.12.1.tar.gz 47945 BLAKE2B e189695a3689f76f6fd3afc3b5f7c412dfc0a79fcd2465f8bca29b81de1609e045f0237fcc6b63a75c7df1d9a31d4c04cd8fa227493d6cce4cd6863a4c36cd2a SHA512 d1ef6462ab3d1cf5fe35f0dabc61698d7c2cf7e35b292c3cb540cce4bd613485d7dca53fd549a134209461c31c8144d72d1af1ee8aad5569766d9387b7e10e0b
+DIST pgspecial-1.13.0.tar.gz 49204 BLAKE2B 7269fc94fc0672db1880ba4b76c8926b6a3c995aac3fca77add7ae6756fcc3295d8d32fcede37cd3fa2d82c82aebfc26d91ed50b4294c5206f04d4c72742b45b SHA512 de2560106fbad14f2095ace468c8490cb325aedb772f649f20a0b5fe65f19afeed33f219d3a6eca683a63b418741a9906a01f7c4bdd8734868517faeba791026
diff --git a/dev-python/pgspecial/pgspecial-1.13.0.ebuild b/dev-python/pgspecial/pgspecial-1.13.0.ebuild
new file mode 100644
index 000000000000..e2e838b16713
--- /dev/null
+++ b/dev-python/pgspecial/pgspecial-1.13.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python implementation of PostgreSQL meta commands"
+HOMEPAGE="https://github.com/dbcli/pgspecial"
+SRC_URI="https://github.com/dbcli/pgspecial/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/click-4.1[${PYTHON_USEDEP}]
+ >=dev-python/configobj-5.0.6[${PYTHON_USEDEP}]
+ >=dev-python/psycopg-2.7.4[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.1.19[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? ( >=dev-db/postgresql-8.1[server] )"
+
+distutils_enable_tests pytest
+DOCS=( License.txt README.rst changelog.rst )
+
+src_test() {
+ local db=${T}/pgsql
+
+ initdb --username=postgres -D "${db}" || die
+ # TODO: random port
+ pg_ctl -w -D "${db}" start \
+ -o "-h '127.0.0.1' -p 5432 -k '${T}'" || die
+ psql -h "${T}" -U postgres -d postgres \
+ -c "ALTER ROLE postgres WITH PASSWORD 'postgres';" || die
+ createdb -h "${T}" -U postgres _test_db || die
+
+ distutils-r1_src_test
+
+ pg_ctl -w -D "${db}" stop || die
+}
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index b63982bdf21e..4b1e01eac770 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -1,2 +1,3 @@
DIST pikepdf-2.11.4.tar.gz 2298520 BLAKE2B 4c657e50259cc126a4537f699c30723eb5d06303b2fabaa53c4ed2862236bcc253ab793d20905f7f2e298649a3ba8c5c8b66deeb4b859b66e18ab50cd512b843 SHA512 292fa0cfdd0a3d43bfc533dd339acc35b93958cdab476a7963274f0e98f2d8ad0c121d7605b53fe9e1a318cab59b24a46343ccf9f25e6de32e6e39d6dfc02ff1
DIST pikepdf-2.12.0.tar.gz 2300821 BLAKE2B 17f2a316d7139471f1bc1106b52895246ecf4503a0c52cb7ed0b8fd408c9bdc8f4e4539f7381b184be50747edc12ee4ab1d58587c9db1fd4c3384d83a56a3ea0 SHA512 7484da6b6aeb8dc93c7b9eacbf5f5096bf738c2b75e4d3d63b189494acddba3da8c707fe25526ef2fa0be15be03729b347ef971f1ae61e38fe6c55ee72272359
+DIST pikepdf-2.12.1.tar.gz 2301208 BLAKE2B b3fa60c97a58dc312e00c0e129d1f55fd390d83b221dfd90acad5f5954e0c564492fe39718248f87980e42ecd590dfd98bfb21133c8ab0664666391e8e030902 SHA512 13bb7132282c024fa5118970deb6347c954a94545602fa21efe99ea2f837693b810dc6706d1681c28588d5ef41a867c70f75c7ab85b01267fbcf55ba89d39b94
diff --git a/dev-python/pikepdf/pikepdf-2.12.1.ebuild b/dev-python/pikepdf/pikepdf-2.12.1.ebuild
new file mode 100644
index 000000000000..c1b5454f13e9
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-2.12.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="https://pypi.org/project/pikepdf/ https://github.com/pikepdf/pikepdf"
+SRC_URI="
+ https://github.com/${PN}/${PN}/archive/v${PV/_p/.post}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="app-text/qpdf:0="
+RDEPEND="${DEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]"
+BDEPEND="
+ >=dev-python/pybind11-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-4.1[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ )"
+
+#distutils_enable_sphinx docs \
+# dev-python/ipython \
+# dev-python/matplotlib \
+# dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/wheel/d' setup.py || die
+ sed -i -e '/-n auto/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pyasn1-modules/pyasn1-modules-0.2.8-r1.ebuild b/dev-python/pyasn1-modules/pyasn1-modules-0.2.8-r1.ebuild
index 28004e64f435..d541ae63a06a 100644
--- a/dev-python/pyasn1-modules/pyasn1-modules-0.2.8-r1.ebuild
+++ b/dev-python/pyasn1-modules/pyasn1-modules-0.2.8-r1.ebuild
@@ -16,12 +16,8 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
-IUSE="test"
-RESTRICT="!test? ( test )"
RDEPEND=">=dev-python/pyasn1-0.4.6[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
distutils_enable_tests setup.py
diff --git a/dev-python/pyasn1/pyasn1-0.4.8-r1.ebuild b/dev-python/pyasn1/pyasn1-0.4.8-r1.ebuild
index 3214e6d12f4f..21d924c55ee5 100644
--- a/dev-python/pyasn1/pyasn1-0.4.8-r1.ebuild
+++ b/dev-python/pyasn1/pyasn1-0.4.8-r1.ebuild
@@ -16,7 +16,6 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~x64-macos"
-IUSE="doc"
distutils_enable_tests setup.py
distutils_enable_sphinx "docs/source"
diff --git a/dev-python/pydbus/Manifest b/dev-python/pydbus/Manifest
new file mode 100644
index 000000000000..b9f58f6611ea
--- /dev/null
+++ b/dev-python/pydbus/Manifest
@@ -0,0 +1 @@
+DIST pydbus-0.6.0.tar.gz 2083046 BLAKE2B 65b50b272b004b30411ff396a9c50d8602485f281100467e2c75ed300cdb0a83532a354a62ef1a8e7ee38a41af243ea7de7a5e80232cfc7c79540e8ed71741c6 SHA512 65ac490dd44ad0aba0b3ea5c58cf6a99bd9de0ce86c6f03b9696335fb2d3f63df0e2e23a022d31d0185f7b8307bcc0f6e230efecc31199fc177f9a8a25929ad7
diff --git a/dev-python/pydbus/metadata.xml b/dev-python/pydbus/metadata.xml
new file mode 100644
index 000000000000..80fc3e97d0d7
--- /dev/null
+++ b/dev-python/pydbus/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>andrewammerlaan@gentoo.org</email>
+ <name>Andrew Ammerlaan</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pydbus/pydbus-0.6.0.ebuild b/dev-python/pydbus/pydbus-0.6.0.ebuild
new file mode 100644
index 000000000000..f5a39d89fd5c
--- /dev/null
+++ b/dev-python/pydbus/pydbus-0.6.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Pythonic DBus library"
+HOMEPAGE="https://github.com/LEW21/pydbus"
+SRC_URI="https://github.com/LEW21/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+KEYWORDS="~amd64"
+SLOT="0"
+
+RDEPEND="
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ sys-apps/dbus
+"
+
+python_test() {
+ sh tests/run.sh "${PYTHON}" || die
+}
diff --git a/dev-python/python-gnupg/python-gnupg-0.4.7.ebuild b/dev-python/python-gnupg/python-gnupg-0.4.7.ebuild
index 82ada621f8b9..0ceaf080fbba 100644
--- a/dev-python/python-gnupg/python-gnupg-0.4.7.ebuild
+++ b/dev-python/python-gnupg/python-gnupg-0.4.7.ebuild
@@ -21,9 +21,10 @@ SLOT="0"
RDEPEND="app-crypt/gnupg"
DEPEND="${RDEPEND}"
+distutils_enable_tests unittest
+
python_test() {
# NO_EXTERNAL_TESTS must be enabled,
# to disable all tests, which need internet access.
- NO_EXTERNAL_TESTS=1 "${EPYTHON}" -m unittest discover -v ||
- die "Tests failed with ${EPYTHON}"
+ NO_EXTERNAL_TESTS=1 eunittest
}
diff --git a/dev-python/python-jose/python-jose-3.2.0-r1.ebuild b/dev-python/python-jose/python-jose-3.2.0-r1.ebuild
index 8c3eda2cea13..7c9393dd5ed4 100644
--- a/dev-python/python-jose/python-jose-3.2.0-r1.ebuild
+++ b/dev-python/python-jose/python-jose-3.2.0-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS=bdepend
inherit distutils-r1
DESCRIPTION="A JavaScript Object Signing and Encryption (JOSE) implementation in Python"
@@ -25,13 +25,20 @@ RDEPEND="
"
distutils_enable_tests pytest
+distutils_enable_sphinx docs
python_prepare_all() {
sed -e '/pytest-runner/d' \
-e '/ecdsa/s:<0.15::' \
-i setup.py || die
sed -e '/addopts/d' -i setup.cfg || die
- sed -e 's:test_key_too_short:_&:' \
- -i tests/algorithms/test_EC.py || die
+ sed -e 's/sphinxcontrib.napoleon/sphinx.ext.napoleon/' -i docs/conf.py || die
distutils-r1_python_prepare_all
}
+
+python_test() {
+ local deselect=(
+ tests/algorithms/test_EC.py::TestECAlgorithm::test_key_too_short
+ )
+ epytest ${deselect[@]/#/--deselect }
+}
diff --git a/dev-python/python-redmine/metadata.xml b/dev-python/python-redmine/metadata.xml
index 87412b8f12d8..b73a077bfca2 100644
--- a/dev-python/python-redmine/metadata.xml
+++ b/dev-python/python-redmine/metadata.xml
@@ -10,4 +10,5 @@
<remote-id type="github">maxtepkeev/python-redmine</remote-id>
</upstream>
<origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/python-redmine/python-redmine-2.3.0.ebuild b/dev-python/python-redmine/python-redmine-2.3.0.ebuild
index 2bc5d8b4109e..450ed594ab95 100644
--- a/dev-python/python-redmine/python-redmine-2.3.0.ebuild
+++ b/dev-python/python-redmine/python-redmine-2.3.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
diff --git a/dev-python/rst-linker/rst-linker-2.2.0.ebuild b/dev-python/rst-linker/rst-linker-2.2.0.ebuild
index 9681d43b426a..8d17003ed007 100644
--- a/dev-python/rst-linker/rst-linker-2.2.0.ebuild
+++ b/dev-python/rst-linker/rst-linker-2.2.0.ebuild
@@ -18,7 +18,7 @@ SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
- $(python_gen_cond_dep 'dev-python/importlib_metadata[${PYTHON_USEDEP}]' pypy3 python3_{6,7})
+ $(python_gen_cond_dep 'dev-python/importlib_metadata[${PYTHON_USEDEP}]' pypy3 python3_7)
dev-python/python-dateutil[${PYTHON_USEDEP}]
"
BDEPEND="
diff --git a/dev-python/spyder/spyder-5.0.3.ebuild b/dev-python/spyder/spyder-5.0.3-r1.ebuild
index 284f86c7ed47..7f88f3fc98ae 100644
--- a/dev-python/spyder/spyder-5.0.3.ebuild
+++ b/dev-python/spyder/spyder-5.0.3-r1.ebuild
@@ -65,6 +65,7 @@ RDEPEND="
>=dev-python/qtawesome-1.0.2[${PYTHON_USEDEP}]
>=dev-python/qtconsole-5.1.0[${PYTHON_USEDEP}]
>=dev-python/QtPy-1.5.0[${PYTHON_USEDEP},pyqt5(+),svg,webengine]
+ sci-libs/rtree[${PYTHON_USEDEP}]
>=dev-python/sphinx-0.6.6[${PYTHON_USEDEP}]
>=dev-python/spyder-kernels-2.0.3[${PYTHON_USEDEP}]
<dev-python/spyder-kernels-2.1.0[${PYTHON_USEDEP}]
@@ -150,6 +151,10 @@ python_prepare_all() {
-e '/pyqtwebengine/d' \
setup.py || die
+ # allow use of older rtree
+ sed -i -e 's/rtree>=0.9.7/rtree/g' \
+ setup.py || die
+
# do not check deps, fails because we removed pyqt5 dependency above
sed -i -e 's:test_dependencies_for_spyder_setup_install_requires_in_sync:_&:' \
spyder/tests/test_dependencies_in_sync.py || die
diff --git a/dev-python/testpath/testpath-0.5.0.ebuild b/dev-python/testpath/testpath-0.5.0.ebuild
index 763a298055e9..92b2fb0f175d 100644
--- a/dev-python/testpath/testpath-0.5.0.ebuild
+++ b/dev-python/testpath/testpath-0.5.0.ebuild
@@ -16,13 +16,7 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x64-macos"
-BDEPEND="
- >=dev-python/pyproject2setuppy-15
- test? (
- dev-python/pathlib2[${PYTHON_USEDEP}]
- dev-python/pytest[${PYTHON_USEDEP}]
- )
-"
+BDEPEND=">=dev-python/pyproject2setuppy-15"
distutils_enable_tests pytest
distutils_enable_sphinx doc
diff --git a/dev-python/wcmatch/Manifest b/dev-python/wcmatch/Manifest
index bbf3b1638603..df2a01535892 100644
--- a/dev-python/wcmatch/Manifest
+++ b/dev-python/wcmatch/Manifest
@@ -1 +1,2 @@
DIST wcmatch-8.1.2.tar.gz 112726 BLAKE2B 4d91425f30e81f1ff3449b364b74f242b7393b7a4a162538e57406f9d5cc05d24277d6c0119c40266d4474c9c99919ade8d0450b1999abb39077ffc64f495719 SHA512 f96fc646db334407229ee9885b308eb2b27967d9b4e4245df33641605af678f3edfb54f53c5c8722b946029d39779fcd775299963530036c723cfa860dcfff38
+DIST wcmatch-8.2.tar.gz 113537 BLAKE2B d1fe53f7d2394af31750c0b98451749201b1adbd8d00a734418afd8e208a9480b913059f78f62016be2fc2109813406c096f8ab60973a716b6ca275377551281 SHA512 d56d868ec0578ae59eb5f39ff17005faed13162141e3ced15c60d8de5f8e8b1a16eaf66e7c73cffdbd288b94db57843112624de8e5b588d26a5e46d4edb72168
diff --git a/dev-python/wcmatch/wcmatch-8.2.ebuild b/dev-python/wcmatch/wcmatch-8.2.ebuild
new file mode 100644
index 000000000000..ec72c89d522d
--- /dev/null
+++ b/dev-python/wcmatch/wcmatch-8.2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ ~dev-python/mkdocs_pymdownx_material_extras-1.0.7
+ dev-python/mkdocs-material
+ dev-python/mkdocs-git-revision-date-localized-plugin
+ dev-python/mkdocs-minify-plugin
+ dev-python/pyspelling
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Wildcard/glob file name matcher"
+HOMEPAGE="
+ https://github.com/facelessuser/wcmatch/
+ https://pypi.org/project/wcmatch/"
+SRC_URI="https://github.com/facelessuser/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/backrefs-4.1[${PYTHON_USEDEP}]
+ >=dev-python/bracex-2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # tests require some files in homedir
+ > "${HOME}"/test1.txt || die
+ > "${HOME}"/test2.txt || die
+
+ # mkdocs-git-revision-date-localized-plugin needs git repo
+ if use doc; then
+ git init || die
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ git add . || die
+ git commit -m 'init' || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/websocket-client/Manifest b/dev-python/websocket-client/Manifest
index b96193d1bd17..97e892f989a1 100644
--- a/dev-python/websocket-client/Manifest
+++ b/dev-python/websocket-client/Manifest
@@ -1,3 +1,4 @@
DIST websocket-client-0.59.0.tar.gz 57897 BLAKE2B 9f15c563491bd105a1987281cc20c0ab80ed1625036eeaa674fd28334b8226b5f9660b150743649f6bc7717d4306cbb1778222f9caeeff29507ab364572ce2b5 SHA512 c7f4a0336093de86fd00828049a836477a3c859cc4bddebd9e7d31eb746dab4de8fa11205a5fb182e5df3590964aa73f279310575dfabc4abc32157e80df42b1
DIST websocket-client-1.0.0.tar.gz 58557 BLAKE2B 8234fb246d38673d06c9e16257e00589fe27d1354feba2e1521a41e15c089e899023248dff61346cafbbffe8a423f1b1618a546ead2fee4db67a6c2441581f77 SHA512 6c62ea2f12be0e6409409e832e4654338f6b6cb7838b0765e836c575bd883545c885985e9a05a04cd4ce5fbd537bc97d8c6fc4efb82779c2ec3006580ca19c3e
+DIST websocket-client-1.0.1.tar.gz 58561 BLAKE2B 852693b08cec5d8345ee0cd38d87a93abfd5ac52a72a0715705ae4a7d5f810288d9409e920424a317867e7292568a9a67b4fde8b892e9ff3fa011cf31c016f35 SHA512 349ecf0f80859e146e6039a29b50f8bb9a377ad65655c49b354702a7895ebed4f8849d979f04b1632c7926e3dfb707ae5791a75b3e9c66d35ad1445040d651b3
DIST websocket_client-0.58.0.tar.gz 48216 BLAKE2B 5e559852385d95caffa73fdb4bfcddd3e00f7bdc9d23d07e7bd6b9e8de599742e153d31bb3a57bdf1aef02361f5dc0b13a443c21872c27576e068f246102d655 SHA512 c587945831427a9bddef96be53d20fec7f55ffd7efe2b676dac96b8078ba446ecda85379a4edfc49c36de936516d3994cbd0515decb9b615cd969bde1117167a
diff --git a/dev-python/websocket-client/websocket-client-1.0.1.ebuild b/dev-python/websocket-client/websocket-client-1.0.1.ebuild
new file mode 100644
index 000000000000..15db76ef875a
--- /dev/null
+++ b/dev-python/websocket-client/websocket-client-1.0.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="WebSocket client for python with hybi13 support"
+HOMEPAGE="https://github.com/websocket-client/websocket-client"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
+IUSE="examples"
+
+distutils_enable_tests setup.py
+
+src_prepare() {
+ # Internet
+ sed -i -e 's:testConnect:_&:' websocket/tests/test_http.py || die
+ distutils-r1_src_prepare
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/zipp/zipp-3.4.1.ebuild b/dev-python/zipp/zipp-3.4.1.ebuild
index d69178f1d156..0dca4c0cfec9 100644
--- a/dev-python/zipp/zipp-3.4.1.ebuild
+++ b/dev-python/zipp/zipp-3.4.1.ebuild
@@ -36,5 +36,5 @@ python_prepare_all() {
python_test() {
# Ignoring zipp.py from ${S} avoids ImportPathMismatchError with Python < 3.8
# by ensuring only zipp from ${BUILD_DIR} is loaded
- pytest --ignore zipp.py -vv || die "Tests fail with ${EPYTHON}"
+ epytest --ignore zipp.py
}